## CMSC424 Fall 2024 Assignment 1b: More SQL (v1.0)
*The assignment is to be done by yourself.*

Download Assignment 1b files <a href="https://ceres.cs.umd.edu/424/assign/assignment1bDist.tgz?2">here</a>.

The following assumes you have gone through PostgreSQL instructions
and have ran some queries on the `university` database, and have
downloaded the above distribution. The included files are:

1. populate.sql: The SQL script for creating the data.
1. queries.py: The file where to enter your answer and to upload to Gradescope.
1. SQLTesting.py: File to be used for running the queries (in `queries.py`) against the database.
1. Dockerfile: Creates the `elections` database and populates it using `populate.sql` file.

### Getting started
As in Assignment 1, we have created and pre-populated `elections` for you.

### Schema 
As before.

### Submission Instructions
Submit the `queries.py` file on Gradescope under <a href="https://www.gradescope.com/courses/811728/assignments/4669979">Assignment 1b</a>. 

## Relevance

Not only will this inform our later discussion of implementation
strategies, but the first test will either require you to write SQL
queries along these lines (w/ the elections databases), or critique
given queries.
